Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SecondaryInterfaceListOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SecondaryInterfaceList`, `ClientWireProtocol.SecondaryInterfaceList.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.SecondaryInterfaceListOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddress(int index)`
`repeated string address = 1;`
`ByteString`
`getAddressBytes(int index)`
`repeated string address = 1;`
`int`
`getAddressCount()`
`repeated string address = 1;`
`List<String>`
`getAddressList()`
`repeated string address = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getAddressList

List<String> getAddressList()
`repeated string address = 1;`

Returns:
  A list containing the address.

### getAddressCount

int getAddressCount()
`repeated string address = 1;`

Returns:
  The count of address.

### getAddress

String getAddress(int index)
`repeated string address = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The address at the given index.

### getAddressBytes

ByteString getAddressBytes(int index)
`repeated string address = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the address at the given index.